<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 3.1.2 (Python 3.8.1 on win32)" generated="20200204 20:15:46.352" rpa="false">
<suite id="s1" name="QuickStart" source="c:\workspace\QuickStartGuide\QuickStart.rst">
<kw name="Clear login database" type="setup">
<kw name="Remove File" library="OperatingSystem">
<doc>Removes a file with the given path.</doc>
<arguments>
<arg>${DATABASE FILE}</arg>
</arguments>
<msg timestamp="20200204 20:15:46.440" level="INFO" html="yes">File '&lt;a href="file://C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt"&gt;C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt&lt;/a&gt;' does not exist.</msg>
<status status="PASS" starttime="20200204 20:15:46.440" endtime="20200204 20:15:46.440"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:46.440" endtime="20200204 20:15:46.440"></status>
</kw>
<test id="s1-t1" name="User can create an account and log in">
<kw name="Create valid user">
<arguments>
<arg>fred</arg>
<arg>P4ssw0rd</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:46.443" endtime="20200204 20:15:46.671"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>SUCCESS</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:46.671" endtime="20200204 20:15:46.671"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:46.443" endtime="20200204 20:15:46.671"></status>
</kw>
<kw name="Attempt To Login With Credentials" library="LoginLibrary">
<arguments>
<arg>fred</arg>
<arg>P4ssw0rd</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:46.671" endtime="20200204 20:15:46.908"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Logged In</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:46.908" endtime="20200204 20:15:46.908"></status>
</kw>
<kw name="Clear login database" type="teardown">
<kw name="Remove File" library="OperatingSystem">
<doc>Removes a file with the given path.</doc>
<arguments>
<arg>${DATABASE FILE}</arg>
</arguments>
<msg timestamp="20200204 20:15:46.912" level="INFO" html="yes">Removed file '&lt;a href="file://C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt"&gt;C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt&lt;/a&gt;'.</msg>
<status status="PASS" starttime="20200204 20:15:46.908" endtime="20200204 20:15:46.912"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:46.908" endtime="20200204 20:15:46.912"></status>
</kw>
<tags>
<tag>example</tag>
<tag>quickstart</tag>
<tag>smoke</tag>
</tags>
<status status="PASS" starttime="20200204 20:15:46.440" endtime="20200204 20:15:46.912" critical="yes"></status>
</test>
<test id="s1-t2" name="User cannot log in with bad password">
<kw name="Create valid user">
<arguments>
<arg>betty</arg>
<arg>P4ssw0rd</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:46.916" endtime="20200204 20:15:47.200"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>SUCCESS</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:47.200" endtime="20200204 20:15:47.200"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:46.912" endtime="20200204 20:15:47.200"></status>
</kw>
<kw name="Attempt To Login With Credentials" library="LoginLibrary">
<arguments>
<arg>betty</arg>
<arg>wrong</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:47.200" endtime="20200204 20:15:47.523"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Access Denied</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:47.527" endtime="20200204 20:15:47.527"></status>
</kw>
<kw name="Clear login database" type="teardown">
<kw name="Remove File" library="OperatingSystem">
<doc>Removes a file with the given path.</doc>
<arguments>
<arg>${DATABASE FILE}</arg>
</arguments>
<msg timestamp="20200204 20:15:47.527" level="INFO" html="yes">Removed file '&lt;a href="file://C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt"&gt;C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt&lt;/a&gt;'.</msg>
<status status="PASS" starttime="20200204 20:15:47.527" endtime="20200204 20:15:47.527"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:47.527" endtime="20200204 20:15:47.527"></status>
</kw>
<tags>
<tag>example</tag>
<tag>quickstart</tag>
<tag>smoke</tag>
</tags>
<status status="PASS" starttime="20200204 20:15:46.912" endtime="20200204 20:15:47.527" critical="yes"></status>
</test>
<test id="s1-t3" name="User can change password">
<kw name="Given a user has a valid account">
<kw name="Create valid user">
<arguments>
<arg>${USERNAME}</arg>
<arg>${PASSWORD}</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:47.531" endtime="20200204 20:15:47.840"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>SUCCESS</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:47.840" endtime="20200204 20:15:47.840"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:47.531" endtime="20200204 20:15:47.840"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:47.531" endtime="20200204 20:15:47.840"></status>
</kw>
<kw name="When she changes her password">
<kw name="Change Password" library="LoginLibrary">
<arguments>
<arg>${USERNAME}</arg>
<arg>${PASSWORD}</arg>
<arg>${NEW PASSWORD}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:47.844" endtime="20200204 20:15:48.128"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>SUCCESS</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:48.128" endtime="20200204 20:15:48.128"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:47.844" endtime="20200204 20:15:48.128"></status>
</kw>
<kw name="Then she can log in with the new password">
<kw name="Login">
<arguments>
<arg>${USERNAME}</arg>
<arg>${NEW PASSWORD}</arg>
</arguments>
<kw name="Attempt To Login With Credentials" library="LoginLibrary">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:48.128" endtime="20200204 20:15:48.452"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Logged In</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:48.452" endtime="20200204 20:15:48.452"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:48.128" endtime="20200204 20:15:48.452"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:48.128" endtime="20200204 20:15:48.452"></status>
</kw>
<kw name="And she cannot use the old password anymore">
<kw name="Attempt To Login With Credentials" library="LoginLibrary">
<arguments>
<arg>${USERNAME}</arg>
<arg>${PASSWORD}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:48.452" endtime="20200204 20:15:48.740"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Access Denied</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:48.740" endtime="20200204 20:15:48.740"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:48.452" endtime="20200204 20:15:48.740"></status>
</kw>
<kw name="Clear login database" type="teardown">
<kw name="Remove File" library="OperatingSystem">
<doc>Removes a file with the given path.</doc>
<arguments>
<arg>${DATABASE FILE}</arg>
</arguments>
<msg timestamp="20200204 20:15:48.744" level="INFO" html="yes">Removed file '&lt;a href="file://C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt"&gt;C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt&lt;/a&gt;'.</msg>
<status status="PASS" starttime="20200204 20:15:48.740" endtime="20200204 20:15:48.744"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:48.740" endtime="20200204 20:15:48.744"></status>
</kw>
<tags>
<tag>example</tag>
<tag>quickstart</tag>
<tag>smoke</tag>
</tags>
<status status="PASS" starttime="20200204 20:15:47.531" endtime="20200204 20:15:48.744" critical="yes"></status>
</test>
<test id="s1-t4" name="Invalid password">
<kw name="Creating user with invalid password should fail">
<arguments>
<arg>abCD5</arg>
<arg>${PWD INVALID LENGTH}</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>example</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:48.744" endtime="20200204 20:15:48.967"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Creating user failed: ${error}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:48.967" endtime="20200204 20:15:48.967"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:48.744" endtime="20200204 20:15:48.967"></status>
</kw>
<kw name="Creating user with invalid password should fail">
<arguments>
<arg>abCD567890123</arg>
<arg>${PWD INVALID LENGTH}</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>example</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:48.967" endtime="20200204 20:15:49.260"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Creating user failed: ${error}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:49.260" endtime="20200204 20:15:49.260"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:48.967" endtime="20200204 20:15:49.260"></status>
</kw>
<kw name="Creating user with invalid password should fail">
<arguments>
<arg>123DEFG</arg>
<arg>${PWD INVALID CONTENT}</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>example</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:49.260" endtime="20200204 20:15:49.473"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Creating user failed: ${error}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:49.473" endtime="20200204 20:15:49.473"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:49.260" endtime="20200204 20:15:49.473"></status>
</kw>
<kw name="Creating user with invalid password should fail">
<arguments>
<arg>abcd56789</arg>
<arg>${PWD INVALID CONTENT}</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>example</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:49.473" endtime="20200204 20:15:49.769"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Creating user failed: ${error}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:49.769" endtime="20200204 20:15:49.769"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:49.473" endtime="20200204 20:15:49.769"></status>
</kw>
<kw name="Creating user with invalid password should fail">
<arguments>
<arg>AbCdEfGh</arg>
<arg>${PWD INVALID CONTENT}</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>example</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:49.769" endtime="20200204 20:15:49.992"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Creating user failed: ${error}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:49.992" endtime="20200204 20:15:49.992"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:49.769" endtime="20200204 20:15:49.992"></status>
</kw>
<kw name="Creating user with invalid password should fail">
<arguments>
<arg>abCD56+</arg>
<arg>${PWD INVALID CONTENT}</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>example</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:49.992" endtime="20200204 20:15:50.277"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Creating user failed: ${error}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:50.277" endtime="20200204 20:15:50.277"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:49.992" endtime="20200204 20:15:50.277"></status>
</kw>
<kw name="Clear login database" type="teardown">
<kw name="Remove File" library="OperatingSystem">
<doc>Removes a file with the given path.</doc>
<arguments>
<arg>${DATABASE FILE}</arg>
</arguments>
<msg timestamp="20200204 20:15:50.277" level="INFO" html="yes">Removed file '&lt;a href="file://C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt"&gt;C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt&lt;/a&gt;'.</msg>
<status status="PASS" starttime="20200204 20:15:50.277" endtime="20200204 20:15:50.277"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:50.277" endtime="20200204 20:15:50.277"></status>
</kw>
<tags>
<tag>example</tag>
<tag>quickstart</tag>
<tag>smoke</tag>
</tags>
<status status="PASS" starttime="20200204 20:15:48.744" endtime="20200204 20:15:50.281" critical="yes"></status>
</test>
<test id="s1-t5" name="User status is stored in database">
<kw name="Create valid user">
<arguments>
<arg>${USERNAME}</arg>
<arg>${PASSWORD}</arg>
</arguments>
<kw name="Create User" library="LoginLibrary">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:50.281" endtime="20200204 20:15:50.505"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>SUCCESS</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:50.505" endtime="20200204 20:15:50.505"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:50.281" endtime="20200204 20:15:50.505"></status>
</kw>
<kw name="Database Should Contain">
<arguments>
<arg>${USERNAME}</arg>
<arg>${PASSWORD}</arg>
<arg>Inactive</arg>
</arguments>
<kw name="Get File" library="OperatingSystem">
<doc>Returns the contents of a specified file.</doc>
<arguments>
<arg>${DATABASE FILE}</arg>
</arguments>
<assign>
<var>${database}</var>
</assign>
<msg timestamp="20200204 20:15:50.509" level="INFO" html="yes">Getting file '&lt;a href="file://C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt"&gt;C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt&lt;/a&gt;'.</msg>
<msg timestamp="20200204 20:15:50.509" level="INFO">${database} = janedoe	J4n3D0e	Inactive
</msg>
<status status="PASS" starttime="20200204 20:15:50.505" endtime="20200204 20:15:50.509"></status>
</kw>
<kw name="Should Contain" library="BuiltIn">
<doc>Fails if ``container`` does not contain ``item`` one or more times.</doc>
<arguments>
<arg>${database}</arg>
<arg>${username}\t${password}\t${status}\n</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:50.509" endtime="20200204 20:15:50.509"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:50.505" endtime="20200204 20:15:50.509"></status>
</kw>
<kw name="Login">
<arguments>
<arg>${USERNAME}</arg>
<arg>${PASSWORD}</arg>
</arguments>
<kw name="Attempt To Login With Credentials" library="LoginLibrary">
<arguments>
<arg>${username}</arg>
<arg>${password}</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:50.509" endtime="20200204 20:15:50.789"></status>
</kw>
<kw name="Status Should Be" library="LoginLibrary">
<arguments>
<arg>Logged In</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:50.789" endtime="20200204 20:15:50.789"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:50.509" endtime="20200204 20:15:50.793"></status>
</kw>
<kw name="Database Should Contain">
<arguments>
<arg>${USERNAME}</arg>
<arg>${PASSWORD}</arg>
<arg>Active</arg>
</arguments>
<kw name="Get File" library="OperatingSystem">
<doc>Returns the contents of a specified file.</doc>
<arguments>
<arg>${DATABASE FILE}</arg>
</arguments>
<assign>
<var>${database}</var>
</assign>
<msg timestamp="20200204 20:15:50.793" level="INFO" html="yes">Getting file '&lt;a href="file://C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt"&gt;C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt&lt;/a&gt;'.</msg>
<msg timestamp="20200204 20:15:50.797" level="INFO">${database} = janedoe	J4n3D0e	Active
</msg>
<status status="PASS" starttime="20200204 20:15:50.793" endtime="20200204 20:15:50.797"></status>
</kw>
<kw name="Should Contain" library="BuiltIn">
<doc>Fails if ``container`` does not contain ``item`` one or more times.</doc>
<arguments>
<arg>${database}</arg>
<arg>${username}\t${password}\t${status}\n</arg>
</arguments>
<status status="PASS" starttime="20200204 20:15:50.797" endtime="20200204 20:15:50.797"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:50.793" endtime="20200204 20:15:50.797"></status>
</kw>
<kw name="Clear login database" type="teardown">
<kw name="Remove File" library="OperatingSystem">
<doc>Removes a file with the given path.</doc>
<arguments>
<arg>${DATABASE FILE}</arg>
</arguments>
<msg timestamp="20200204 20:15:50.801" level="INFO" html="yes">Removed file '&lt;a href="file://C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt"&gt;C:\Users\tiago\AppData\Local\Temp\robotframework-quickstart-db.txt&lt;/a&gt;'.</msg>
<status status="PASS" starttime="20200204 20:15:50.801" endtime="20200204 20:15:50.801"></status>
</kw>
<status status="PASS" starttime="20200204 20:15:50.801" endtime="20200204 20:15:50.801"></status>
</kw>
<tags>
<tag>database</tag>
<tag>quickstart</tag>
<tag>variables</tag>
</tags>
<status status="PASS" starttime="20200204 20:15:50.281" endtime="20200204 20:15:50.801" critical="yes"></status>
</test>
<status status="PASS" starttime="20200204 20:15:46.356" endtime="20200204 20:15:50.805"></status>
</suite>
<statistics>
<total>
<stat pass="5" fail="0">Critical Tests</stat>
<stat pass="5" fail="0">All Tests</stat>
</total>
<tag>
<stat pass="1" fail="0">database</stat>
<stat pass="4" fail="0">example</stat>
<stat pass="5" fail="0">quickstart</stat>
<stat pass="4" fail="0">smoke</stat>
<stat pass="1" fail="0">variables</stat>
</tag>
<suite>
<stat pass="5" fail="0" id="s1" name="QuickStart">QuickStart</stat>
</suite>
</statistics>
<errors>
<msg timestamp="20200204 20:15:46.344" level="WARN">Automatically parsing other than '*.robot' files is deprecated. Convert 'c:\workspace\QuickStartGuide\QuickStart.rst' to '*.robot' format or use '--extension' to explicitly configure which files to parse.</msg>
</errors>
</robot>
